<?php

namespace Modules\User\Repositories\Contracts;

use Illuminate\Database\Eloquent\Collection;
use Modules\User\Entities\BankDetail;

interface BankDetailRepositoryInterface
{
    public function getAllPaginated(int $perPage = 10, string $search = '');

    public function getAllWithRelations(string $search = ''): Collection;

    public function create(array $data): BankDetail;

    public function findById(string $id): ?BankDetail;

    public function delete(string $id): bool;

    public function all(string $search = ''): Collection;
}
